All pages
Powered by GitBook
1 of 1

Loading...

Get audit records

get
Path parameters
idstringRequired
Query parameters
selectstringOptional
Responses
200

OK

application/json
idstringOptional
eventstringOptional
summarystringOptional
detailsstringOptional
idstringOptional
namestring · nullableOptional
iconstring · nullableOptional
objectTypestringOptional
timestampstring · date-timeOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
accountTypestringOptional
typestring · enumOptionalPossible values:
ipstringOptional
countryCodestringOptional
countryNamestringOptional
regionstringOptional
userAgentstringOptional
workerNamestringOptional
requestIdstringOptional
operationIdstringOptional
propertyNameCaseInsensitivebooleanOptional
propertyNameCaseInsensitivebooleanOptional
parentall ofOptional
⤷Circular reference to all of
propertyNameCaseInsensitivebooleanOptional
parentall ofOptional
⤷Circular reference to all of
rootall ofOptional
⤷Circular reference to all of
propertyNameCaseInsensitivebooleanOptional
propertyNameCaseInsensitivebooleanOptional
parentall ofOptional
⤷Circular reference to all of
rootall ofOptional
⤷Circular reference to all of
rootall ofOptional
⤷Circular reference to all of
idstringOptional
namestring · nullableOptional
typestringOptional
iconstring · nullableOptional
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
get/public/v1/audit/records/{id}
GET /public/v1/audit/records/{id} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "text",
  "event": "text",
  "summary": "text",
  "details": "text",
  "object": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "objectType": "text"
  },
  "timestamp": "2026-01-01T00:00:00.000Z",
  "actor": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "account": {
      "id": "text",
      "name": "text",
      "icon": "text",
      "accountType": "text"
    }
  },
  "type": "text",
  "request": {
    "api": {
      "ip": "text",
      "geolocation": {
        "countryCode": "text",
        "countryName": "text",
        "region": "text"
      },
      "userAgent": "text"
    },
    "worker": {
      "workerName": "text"
    },
    "log": {
      "requestId": "text",
      "operationId": "text"
    }
  },
  "documents": {
    "ANY_ADDITIONAL_PROPERTY": {
      "options": {
        "propertyNameCaseInsensitive": true
      },
      "parent": {
        "options": {
          "propertyNameCaseInsensitive": true
        },
        "parent": {},
        "root": {}
      },
      "root": {}
    }
  },
  "viewers": [
    {
      "id": "text",
      "name": "text",
      "type": "text",
      "icon": "text"
    }
  ]
}